package com.younike.system.mapper;

import com.younike.system.domain.MemberAddress;

import java.util.List;

/**
 * 会员服务地址Mapper接口
 *
 * @author elev
 * @date 2022-01-04
 */
public interface MemberAddressMapper
{
    /**
     * 查询会员服务地址
     *
     * @param addressId 会员服务地址主键
     * @return 会员服务地址
     */
    public MemberAddress selectMemberAddressByAddressId(Long addressId);

    /**
     * 查询会员服务地址列表
     *
     * @param memberAddress 会员服务地址
     * @return 会员服务地址集合
     */
    public List<MemberAddress> selectMemberAddressList(MemberAddress memberAddress);

    /**
     * 新增会员服务地址
     *
     * @param memberAddress 会员服务地址
     * @return 结果
     */
    public int insertMemberAddress(MemberAddress memberAddress);

    /**
     * 修改会员服务地址
     *
     * @param memberAddress 会员服务地址
     * @return 结果
     */
    public int updateMemberAddress(MemberAddress memberAddress);

    /**
     * 删除会员服务地址
     *
     * @param addressId 会员服务地址主键
     * @return 结果
     */
    public int deleteMemberAddressByAddressId(Long addressId);

    /**
     * 批量删除会员服务地址
     *
     * @param addressIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMemberAddressByAddressIds(Long[] addressIds);


    List<MemberAddress> getAddressList(Long memberId);

}
